Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class PageRenderLinkSourceImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.PageRenderLinkSourceImpl

All Implemented Interfaces:
  PageRenderLinkSource

    public class PageRenderLinkSourceImpl

extends java.lang.Object
implements PageRenderLinkSource

Constructor Summary
`PageRenderLinkSourceImpl(LinkSource linkSource, ComponentClassResolver resolver)`

Method Summary
`Link` | `createPageRenderLink(java.lang.Class pageClass)` Creates a page render link using the page's class to identify the target page, and using the pages normal passivation context (if it has one).
`Link` | `createPageRenderLink(java.lang.String pageName)` Creates a page render link using the page's normal passivation context (if it has one).
`Link` | `createPageRenderLinkWithContext(java.lang.Class pageClass, EventContext eventContext)` Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context
`Link` | `createPageRenderLinkWithContext(java.lang.Class pageClass, java.lang.Object... context)` Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context (possibly an empty one).
`Link` | `createPageRenderLinkWithContext(java.lang.String pageName, EventContext eventContext)` Creates a page render link using an override of the page's passivation context.
`Link` | `createPageRenderLinkWithContext(java.lang.String pageName, java.lang.Object... context)` Creates a page render link using an override of the page's passivation context (possibly an empty one).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageRenderLinkSourceImpl

    public PageRenderLinkSourceImpl(LinkSource linkSource,
                                    ComponentClassResolver resolver)

Method Detail

### createPageRenderLink

    public Link createPageRenderLink(java.lang.Class pageClass)

  Description copied from interface: `PageRenderLinkSource`
  Creates a page render link using the page's class to identify the target page, and using the pages normal passivation context (if it has one).

  Specified by:
    `createPageRenderLink` in interface `PageRenderLinkSource`
  Returns:
    render link for the page

### createPageRenderLink

    public Link createPageRenderLink(java.lang.String pageName)

  Description copied from interface: `PageRenderLinkSource`
  Creates a page render link using the page's normal passivation context (if it has one).

  Specified by:
    `createPageRenderLink` in interface `PageRenderLinkSource`
  Parameters:
    `pageName` - name of page to create link to
  Returns:
    render link for the page

### createPageRenderLinkWithContext

    public Link createPageRenderLinkWithContext(java.lang.Class pageClass,
                                                java.lang.Object... context)

  Description copied from interface: `PageRenderLinkSource`
  Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context (possibly an empty one).

  Specified by:
    `createPageRenderLinkWithContext` in interface `PageRenderLinkSource`
    `context` - zero or more values to encode as the passiviation context
  Returns:
    render link for the page

### createPageRenderLinkWithContext

    public Link createPageRenderLinkWithContext(java.lang.Class pageClass,
                                                EventContext eventContext)

  Description copied from interface: `PageRenderLinkSource`
  Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context

  Specified by:
    `createPageRenderLinkWithContext` in interface `PageRenderLinkSource`
    `eventContext` - the EventContext to encode as the passiviation context
  Returns:
    render link for the page

### createPageRenderLinkWithContext

    public Link createPageRenderLinkWithContext(java.lang.String pageName,
                                                java.lang.Object... context)

  Description copied from interface: `PageRenderLinkSource`
  Creates a page render link using an override of the page's passivation context (possibly an empty one).

  Specified by:
    `createPageRenderLinkWithContext` in interface `PageRenderLinkSource`
  Parameters:
    `pageName` - name of page to create link to
    `context` - zero or more values to encode as the passiviation context
  Returns:
    render link for the page

### createPageRenderLinkWithContext

    public Link createPageRenderLinkWithContext(java.lang.String pageName,
                                                EventContext eventContext)

  Description copied from interface: `PageRenderLinkSource`
  Creates a page render link using an override of the page's passivation context.

  Specified by:
    `createPageRenderLinkWithContext` in interface `PageRenderLinkSource`
  Parameters:
    `pageName` - name of page to create link to
    `eventContext` - the EventContext to encode as the passiviation context
  Returns:
    render link for the page

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.